Subject: Re: imep-spec comments

From: "M. Scott Corson" <[email-masked]>
Date: Mon, 8 Dec 1997 16:48:13 -0500 (EST)

On Mon, 8 Dec 1997, Bill Manning wrote:

> 
> Some comments,
> 
> 	- there should beno distinction between nodes and routers,
> 	  each should have an id that reflects the node itself.
> 	  the interfaces should have IP addresses that reflect their
> 	  position in some media.
> 
> 	  (ref Nimrod and IPv6 conventions wrt nodes and routers)
> 	  

I assume by "node" you mean "host".  We need to think about this issue
in light of current Internet practice and its expected future evolution.

The current approach is intended to simplify integration with existing 
practice.  The notion of the "Router ID" is left rather implementation
independent in the current spec, and a given autonomous system may
define it as it sees fit.

I'll check out the references you cite.

>
> 	- 3.1.2 .  Which other Internet routing protocols use IP multicast?
>

OSPF, RIPv2

> 
> 	- some clarification on scoping for MI.  will there ever
> 	  be a need to restricti this to a subset of interfaces? 
>

Possibly, but we've not yet specified exactly when and when not to do so.

-Scott

*******************************************************************************

M. Scott Corson                                 Institute for Systems Research
[email-masked]                              A.V. Williams Bldg. (115)
Phone: 301-405-6630 (Rm. 2205 AVW)              University of Maryland     
Fax:   301-314-8586                             College Park, MD  20742

*******************************************************************************